# loki.ir.tests.test_scoped_nodes

Functions

`test_scoped_node_get_symbols`(frontend, tmp_path) | Test :method:`get_symbol` functionality on scoped nodes.
`test_scoped_node_parse_expr`(frontend, tmp_path) | Test `Variable` constrcutore on scoped nodes.
`test_scoped_node_variable_constructor`(...) | Test `Variable` constrcutore on scoped nodes.

test_scoped_node_get_symbols(frontend, tmp_path)

  Test :method:`get_symbol` functionality on scoped nodes.

test_scoped_node_variable_constructor(frontend, tmp_path)

  Test `Variable` constrcutore on scoped nodes.

test_scoped_node_parse_expr(frontend, tmp_path)

  Test `Variable` constrcutore on scoped nodes.